TigerXMLHeader.FeatureEdgeLabel (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.reader
Class TigerXMLHeader.FeatureEdgeLabel

    java.lang.Object
      org.maltparser.core.syntaxgraph.reader.TigerXMLHeader.FeatureEdgeLabel

Enclosing class:
  TigerXMLHeader

    protected class TigerXMLHeader.FeatureEdgeLabel

extends Object

Constructor Summary
`TigerXMLHeader.FeatureEdgeLabel(String name, String domainName)`
`TigerXMLHeader.FeatureEdgeLabel(String name, TigerXMLHeader.Domain domain)`

Method Summary
`void` | `addValue(String name)`
`void` | `addValue(String name, String desc)`
`TigerXMLHeader.Domain` | `getDomain()`
`String` | `getDomainName()`
`String` | `getName()`
`SymbolTable` | `getTable()`
`void` | `setDomain(String domainName)`
`void` | `setDomain(TigerXMLHeader.Domain domain)`
`void` | `setName(String name)`
`void` | `setTable(SymbolTable table)`
`String` | `toString()`
`String` | `toTigerXML()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TigerXMLHeader.FeatureEdgeLabel

    public TigerXMLHeader.FeatureEdgeLabel(String name,
                                           String domainName)

### TigerXMLHeader.FeatureEdgeLabel

    public TigerXMLHeader.FeatureEdgeLabel(String name,
                                           TigerXMLHeader.Domain domain)

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### setDomain

    public void setDomain(String domainName)

### setDomain

    public void setDomain(TigerXMLHeader.Domain domain)

### getDomainName

    public String getDomainName()

### getDomain

    public TigerXMLHeader.Domain getDomain()

### getTable

    public SymbolTable getTable()

### setTable

    public void setTable(SymbolTable table)

### addValue

    public void addValue(String name)

### addValue

    public void addValue(String name,
                         String desc)

### toTigerXML

    public String toTigerXML()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.